<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Гаранты - Новый гарант');
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/garants"style="text-decoration:none; color:white;">Гаранты</a> :: Новый гарант</div></div></div>';

if (isset($_POST['add'])) {
$err = [];
$form = ['nick' => isset($_POST['nick']) ? check($_POST['nick']) : null, 'wmid' => isset($_POST['wmid']) ? abs((int)$_POST['wmid']) : null, 'wmr' => isset($_POST['wmr']) ? abs((int)$_POST['wmr']) : null, 'nicks' => isset($_POST['nicks']) ? check($_POST['nicks']) : null, 'info' => isset($_POST['info']) ? check($_POST['info']) : null, 'mail' => isset($_POST['mail']) ? check($_POST['mail']) : null, 'user_id' => isset($_POST['user_id']) ? intval($_POST['user_id']) : null, 'icq' => isset($_POST['icq']) ? intval($_POST['icq']) : null];
if (empty($form['nick']) && mb_strlen($form['nick']) < 2 OR mb_strlen($form['nick']) > 20) {
$err[] = 'Введите ник!';
}

if ($form['wmid'] == '' OR $form['wmr'] == '') {
$err[] = 'WMID и WMR кошелек должны быть заполнены.';
}

if (mb_strlen($form['mail']) < 3 OR mb_strlen($form['mail']) > 20) {
$err[] = 'Введите E-mail.';
}

if (empty($form['icq'])) {
$err[] = 'Укажите icq номер!';
}
if (empty($form['mail'])) {
$err[] = 'Укажите свой E-mail!';
}
if (empty($form['info'])) {
$err[] = 'Укажите описание!';
}
$stm = DB::$dbs->query("SELECT * FROM `ked` WHERE `nick` = ? AND `mail` = ? AND `user_id` = ?",[$form['nick'],$form['mail'],$form['user_id']]);
$result = $stm -> fetch(PDO::FETCH_OBJ);
if (!empty($result->nick)) {
$err[] = 'Такой ник в базе уже есть!';
}
if (!empty($result->mail)) {
$err[] = 'Такой E-mail в базе уже есть!';
}
if (!empty($result->user_id)) {
$err[] = 'Такой гарант уже есть!';
}
if (DB::$dbs->querySingle("SELECT COUNT(*) FROM `ked` WHERE `wmid` = ?", [$form['wmid']]) > 0) {
$err[] = 'Такой WMID уже есть в системе!';
}
if (DB::$dbs->querySingle("SELECT COUNT(*) FROM `ked` WHERE `wmr` = ?", [$form['wmr']]) > 0) {
$err[] = 'Такой WMR кошелек уже есть в системе!';
}

if (DB::$dbs->querySingle("SELECT COUNT(*) FROM `blogger` WHERE `id` = ?", [$form['user_id']]) == 0) {
$err[] = 'Нет такого мастера в системе!';
}


if (empty($err)) {

DB::$dbs->query("INSERT INTO `ked` (`nick`,`nicks`,`wmr`,`info`,`user_id` ,`icq`,`mail`,`screen`,`time`,`who_add`,`wmid`) VALUES (?,?,?,?,?,?,?,?,?,?,?)", array($form['nick'],$form['nicks'],$form['wmr'],$form['info'],$form['user_id'],$form['icq'],$form['mail'],$filename,time(),$b['id'],$form['wmid']));

echo '<div class="row text_box">Данные добавлены и отправлены на модерацию!</div>';
} else {
echo '<div class="error">';
foreach($err as $error) {
echo '<b>'.$error.'</b><br/>';
}
echo '</div>';
}
}
echo '<div class="row text_box"><form action="?" method="POST" enctype="multipart/form-data">* Основной ник мошенника (на этом сайте):<br/><input class="form-control"type="text" name="nick"/> <br/>
* Ники в сети:(через запятую)<br/><input type="text" class="form-control"name="nicks"/> <br/>
* ID мошенника (тут):<br/><input type="text" class="form-control"name="user_id"/> <br/>
* Описание: (доки, ссылки на скрины,фото, темы)<br/><textarea class="form-control" rows="3" name="info"></textarea><br/>
* Скриншот:<br/><input type="file" name="file"/><br/>
* WMID <br/><input type="text" class="form-control"name="wmid"/> </textarea><br/>
* WMR <br/><input type="text" class="form-control"name="wmr"/> </textarea><br/>
* ICQ:<br/><input type="text" class="form-control"name="icq"/> <br/>
* Email:<br/><input type="text" class="form-control"name="mail"/> <br/><br/>
<input type="submit" name="add" class="btn btn-primary btn-lg btn-block" value="Добавить"/></form></div>';


$title->GetMenu();
$title->GetFooter();
?>